<?php
if (!defined('DATALIFEENGINE') || !defined('LOGGED_IN')) {
	die('Hacking attempt!');
}

$options_file = dirname(__FILE__) . '/../inc/options.php';

if (!is_writable($options_file)) {
	die('Error access file: ' . realpath($options_file));
}

if (($_SERVER['REQUEST_METHOD'] == 'POST') && ($_POST['action'] == 'dosaveperelink')) {
	$params = $_POST['params'];
	file_put_contents($options_file, '<?php $params = ' . var_export($params, 1) . '; ?>');
}

include_once($options_file);
?>

<style type="text/css">
	.perelink-checkbox {
		display: block;
		padding: 4px 0;
		margin-bottom: 0;
	}

	.perelink-checkbox .switchery {
		margin-right: 6px;
	}

	.subitem {
		padding: 0px;
		margin: 0px;
		list-style: none;
	}

	h5.perelink_heading {
		margin: 0px;
	}

	.show-checked {
		padding: 10px;
		margin-top: 10px;
		border: 1px solid #ddd;
	}

	.subdiv {
		margin-top: 10px
	}
</style>

<form method="post" class="systemsettings">

	<div class="panel panel-default">
		<div class="panel-body" style="padding-top:10px;padding-bottom:10px;">
			<h5 class="perelink_heading">Общие настройки</h5>
		</div>

		<div class="table-responsive">
			<table class="table table-striped">
				<tbody>
					<tr>
						<td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">Код защиты</h6></td>
						<td class="col-xs-6 col-sm-6 col-md-5"><input type="text" class="form-control" name="params[protectionCode]" value="<?php print $params['protectionCode']; ?>"></td>
					</tr>

					<tr>
						<td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">Типы страниц, участвующие в перелинковке</h6></td>
						<td class="col-xs-6 col-sm-6 col-md-5">
							<label class="perelink-checkbox">
								<input class="switch" type="checkbox" name="params[pageType][]" value="post"<?php print in_array('post', $params['pageType']) ? ' checked' : ''; ?>>
								Новости
							</label>

							<label class="perelink-checkbox">
								<input class="switch" type="checkbox" name="params[pageType][]" value="page"<?php print in_array('page', $params['pageType']) ? ' checked' : ''; ?>>
								Страницы
							</label>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>

	<div class="panel panel-default">
		<div class="panel-body" style="padding-top:10px;padding-bottom:10px;">
			<h5 class="perelink_heading">В тексте</h5>
		</div>

		<div class="table-responsive">
			<table class="table table-striped">
				<tbody>
					<tr>
						<td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">Атрибут title у ссылок в тексте</h6></td>
						<td class="col-xs-6 col-sm-6 col-md-5">
							<select class="uniform" name="params[inContentTitleSource]">
								<option value=""<?php print ($params['inContentTitleSource'] == '') ? ' selected' : ''; ?>>Не использовать (рекомендуется)</option>
								<option value="keyword"<?php print ($params['inContentTitleSource'] == 'keyword') ? ' selected' : ''; ?>>Ключ в системе</option>
							</select>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>

	<div class="panel panel-default">
		<div class="panel-body" style="padding-top:10px;padding-bottom:10px;">
			<h5 class="perelink_heading">После текста</h5>
		</div>

		<div class="table-responsive">
			<table class="table table-striped">
				<tbody>
					<tr>
						<td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">Включено</h6></td>
						<td class="col-xs-6 col-sm-6 col-md-5">
							<label class="perelink-checkbox">
								<input type="hidden" name="params[afterTextEnabled]" value="0"/>
								<input class="switch" type="checkbox" name="params[afterTextEnabled]" value="1"<?php print ($params['afterTextEnabled'] == 1) ? ' checked' : ''; ?>>
							</label>
						</td>
					</tr>

					<tr>
						<td colspan="2" class="col-xs-6 col-sm-6 col-md-7"><h5 class="perelink_heading">Вывод перелинковки</h5></td>
					</tr>

					<tr>
						<td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">Вариант вывода</h6></td>
						<td class="col-xs-6 col-sm-6 col-md-5">
							<select class="uniform" name="params[afterTextMode]" onchange="$(this).val() == 'manual' ? $('#show-checked').show() : $('#show-checked').hide();">
								<option value="auto"<?php print ($params['afterTextMode'] == 'auto') ? ' selected' : ''; ?>>Автоматически (сразу после текста)</option>
								<option value="manual"<?php print ($params['afterTextMode'] == 'manual') ? ' selected' : ''; ?>>Вручную (вставка кода)</option>
							</select>

							<code class="show-checked" id="show-checked"<?php if ($params['afterTextMode'] != 'manual') { print ' style="display:none"'; } ?>>{perelink_block}</code>
						</td>
					</tr>

					<tr>
						<td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">Количество связей "после текста"</h6></td>
						<td class="col-xs-6 col-sm-6 col-md-5">
							<select class="uniform" name="params[afterTextLinkCount]">
								<?php for ( $i = 1; $i <= 30; $i++ ) { ?>
									<option value="<?php echo $i; ?>"<?php echo $params['afterTextLinkCount'] == $i ? ' selected="selected"' : ''; ?> ><?php echo $i; ?></option>
								<?php } ?>
							</select>
						</td>
					</tr>

					<tr>
						<td colspan="2" class="col-xs-12 col-sm-12 col-md-12"><h5 class="perelink_heading">Вывод материалов</h5></td>
					</tr>

					<tr>
						<td class="col-xs-6 col-sm-6 col-md-7"><h6 class="media-heading text-semibold">Заголовок перед выводом</h6></td>
						<td class="col-xs-6 col-sm-6 col-md-5">
							<input class="form-control" type="text" name="params[afterTextOutputTitle]" value="<?php print $params['afterTextOutputTitle']; ?>"/>
						</td>
					</tr>

					<tr>
						<td class="col-xs-6 col-sm-6 col-md-7">
							<h6 class="media-heading text-semibold">Стили</h6>
							<span class="text-muted text-size-small hidden-xs">Стили CSS, текст из этого поля размещается между тегами &lt;style&gt; и &lt;&#47style&gt;</span>
						</td>
						<td class="col-xs-6 col-sm-6 col-md-5">
							<textarea class="form-control" name="params[afterTextOutputStyle]" style="height:200px"><?php echo htmlspecialchars( $params['afterTextOutputStyle'] ); ?></textarea>
						</td>
					</tr>

					<tr>
						<td class="col-xs-6 col-sm-6 col-md-7">
							<h6 class="media-heading text-semibold">Верстка вывода</h6>
						</td>
						<td class="col-xs-6 col-sm-6 col-md-5">
							<select class="uniform" name="params[afterTextOutputLayout]" onchange="if ($(this).val() == 'auto') { $('#afterTextOutputOrientation').show(); $('#afterTextOutputMode').hide() } else { $('#afterTextOutputOrientation').hide(); $('#afterTextOutputMode').show() }">
								<option value="auto"<?php echo $params['afterTextOutputLayout'] == 'auto' ? ' selected="selected"' : ''; ?>>Предустановленная</option>
								<option value="manual"<?php echo $params['afterTextOutputLayout'] == 'manual' ? ' selected="selected"' : ''; ?>>Произвольная</option>
							</select>

							<div id="afterTextOutputOrientation" class="subdiv"<?php if ($params['afterTextOutputLayout'] == 'manual') print ' style="display:none"'; ?>>
								<select class="uniform" name="params[afterTextOutputOrientation]">
									<option value="horizontal"<?php echo $params['afterTextOutputOrientation'] == 'horizontal' ? ' selected="selected"' : ''; ?>>Горизонтальная</option>
									<option value="vertical"<?php echo $params['afterTextOutputOrientation'] == 'vertical' ? ' selected="selected"' : ''; ?>>Вертикальная</option>
								</select>
							</div>

							<div id="afterTextOutputMode" class="subdiv"<?php if ($params['afterTextOutputLayout'] == 'auto') print ' style="display:none"'; ?>>
								<table class="table table-striped">
									<tbody>
										<tr>
											<td class="col-xs-6 col-sm-6 col-md-6">
												До связанных постов
											</td>
											<td class="col-xs-6 col-sm-6 col-md-6">
												<input type="text" class="form-control" name="params[afterTextOutputBeforeList]" value="<?php echo htmlspecialchars( $params['afterTextOutputBeforeList'] ); ?>" />
											</td>
										</tr>

										<tr>
											<td class="col-xs-6 col-sm-6 col-md-6">
												После связанных постов
											</td>
											<td class="col-xs-6 col-sm-6 col-md-6">
												<input type="text" class="form-control" name="params[afterTextOutputAfterList]" value="<?php echo htmlspecialchars( $params['afterTextOutputAfterList'] ); ?>" />
											</td>
										</tr>

										<tr>
											<td class="col-xs-6 col-sm-6 col-md-6">
												До каждого связанного поста
											</td>
											<td class="col-xs-6 col-sm-6 col-md-6">
												<input type="text" class="form-control" name="params[afterTextOutputBeforeListItem]" value="<?php echo htmlspecialchars( $params['afterTextOutputBeforeListItem'] ); ?>" />
											</td>
										</tr>

										<tr>
											<td class="col-xs-6 col-sm-6 col-md-6">
												После каждого связанного поста:
											</td>
											<td class="col-xs-6 col-sm-6 col-md-6">
												<input type="text" class="form-control" name="params[afterTextOutputAfterListItem]" value="<?php echo htmlspecialchars( $params['afterTextOutputAfterListItem'] ); ?>" />
											</td>
										</tr>
									</tbody>
								</table>
							</div>
						</td>
					</tr>

					<tr>
						<td class="col-xs-6 col-sm-6 col-md-7">
							<h6 class="media-heading text-semibold">Не использовать статьи из рубрик в качестве акцепторов</h6>
							<span class="text-muted text-size-small hidden-xs">Список из идентификаторов, разделенных запятыми</span>
						</td>
						<td class="col-xs-6 col-sm-6 col-md-5">
							<input class="form-control" type="text" name="params[afterTextExcludeCategory]" value="<?php echo $params['afterTextExcludeCategory']; ?>"/>
						</td>
					</tr>

					<tr>
						<td class="col-xs-6 col-sm-6 col-md-7">
							<h6 class="media-heading text-semibold">Не использовать статьи в качестве акцепторов</h6>
							<span class="text-muted text-size-small hidden-xs">Список из идентификаторов, разделенных запятыми</span>
						</td>
						<td class="col-xs-6 col-sm-6 col-md-5">
							<input class="form-control" type="text" name="params[afterTextExcludePost]" value="<?php echo $params['afterTextExcludePost']; ?>"/>
						</td>
					</tr>


			</tbody>
		</table>
	</div>
</div>

<div style="margin-bottom: 30px;">
	<input type="hidden" name="mod" value="mod_perelink">
	<input type="hidden" name="action" value="dosaveperelink">
	<button type="submit" class="btn bg-teal btn-raised position-left legitRipple"><i class="fa fa-floppy-o position-left"></i>Сохранить</button>
</div>

</form>